public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: dev-vcs/guilt/, dev-vcs/guilt/files/
@ 2018-10-20 12:17 Pacho Ramos
  0 siblings, 0 replies; only message in thread
From: Pacho Ramos @ 2018-10-20 12:17 UTC (permalink / raw
  To: gentoo-commits

commit:     da22c73077692206f5bd2b79355d73add559644e
Author:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Sat Oct 20 11:48:48 2018 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Sat Oct 20 12:16:48 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=da22c730

dev-vcs/guilt: Fix help system (#642584 by Terra)

Closes: https://bugs.gentoo.org/642584
Signed-off-by: Pacho Ramos <pacho <AT> gentoo.org>
Package-Manager: Portage-2.3.51, Repoman-2.3.11

 dev-vcs/guilt/files/guilt-0.36-fix-help.patch | 41 +++++++++++++++++++++
 dev-vcs/guilt/guilt-0.36-r1.ebuild            | 53 +++++++++++++++++++++++++++
 2 files changed, 94 insertions(+)

diff --git a/dev-vcs/guilt/files/guilt-0.36-fix-help.patch b/dev-vcs/guilt/files/guilt-0.36-fix-help.patch
new file mode 100644
index 00000000000..31e81bdb90e
--- /dev/null
+++ b/dev-vcs/guilt/files/guilt-0.36-fix-help.patch
@@ -0,0 +1,41 @@
+From 53db96dd0c37b2fd299a26a00ba9b6f53cf6224e Mon Sep 17 00:00:00 2001
+Date: Thu, 28 Dec 2017 20:01:08 -0500
+Subject: [PATCH] Fix broken guilt help system
+
+  https://bugs.gentoo.org/642584
+---
+ guilt      | 4 ++--
+ guilt-help | 2 +-
+ 2 files changed, 3 insertions(+), 3 deletions(-)
+
+diff --git a/guilt b/guilt
+index 35177b9..498dfb6 100755
+--- a/guilt
++++ b/guilt
+@@ -73,8 +73,8 @@ GUILT_PATH="$(dirname "$0")"
+ 
+ guilt_commands()
+ {
+-	find "$GUILT_PATH/../lib/guilt" -maxdepth 1 -name "guilt-*" -type f -perm +111 2> /dev/null | sed -e "s/.*\\/$GUILT-//"
+-	find "$GUILT_PATH" -maxdepth 1 -name "guilt-*" -type f -perm +111 | sed -e "s/.*\\/$GUILT-//"
++	find "$GUILT_PATH/../lib/guilt" -maxdepth 1 -name "guilt-*" -type f -executable 2> /dev/null | sed -e "s/.*\\/$GUILT-//"
++	find "$GUILT_PATH" -maxdepth 1 -name "guilt-*" -type f -executable | sed -e "s/.*\\/$GUILT-//"
+ }
+ 
+ # by default, we shouldn't fail
+diff --git a/guilt-help b/guilt-help
+index 93442a3..b29e059 100755
+--- a/guilt-help
++++ b/guilt-help
+@@ -34,7 +34,7 @@ case $# in
+ 		;;
+ esac
+ 
+-MANDIR=`dirname $0`/../man
++MANDIR=`dirname $0`/../share/man
+ MANDIR=`(cd "$MANDIR"; pwd)`
+ exec man -M "$MANDIR" "$page"
+ 
+-- 
+2.13.5
+

diff --git a/dev-vcs/guilt/guilt-0.36-r1.ebuild b/dev-vcs/guilt/guilt-0.36-r1.ebuild
new file mode 100644
index 00000000000..ab2b064429e
--- /dev/null
+++ b/dev-vcs/guilt/guilt-0.36-r1.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="A series of bash scripts which add a quilt-like interface to git"
+HOMEPAGE="http://repo.or.cz/w/guilt.git"
+SRC_URI="${HOMEPAGE}/snapshot/22d785dd24329170f66e7696da38b3e90e033d61.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ia64 ~ppc ~sparc ~x86"
+IUSE=""
+
+# Since we need to build the man pages anyway, I don't think it makes
+# much sense to hide the HTML docs behind USE=doc.
+RDEPEND="dev-vcs/git"
+DEPEND="${RDEPEND}
+	app-text/asciidoc
+	app-text/xmlto
+	dev-lang/perl
+"
+
+RESTRICT="test"
+
+S="${WORKDIR}/${PN}-22d785d"
+
+src_prepare() {
+	default
+
+	eapply "${FILESDIR}"/${P}-fix-help.patch
+
+	# The doc makefile tries to shell out to `git` for the version.
+	sed -i Documentation/Makefile \
+		-e "s/VERSION=.*/VERSION=${PV}/" \
+		|| die 'failed to set VERSION in Documentation/Makefile'
+}
+
+src_compile() {
+	emake -C Documentation all
+}
+
+src_install() {
+	emake DESTDIR="${D}" PREFIX=/usr install
+
+	dodoc Documentation/{Contributing,Features,HOWTO,Requirements}
+	emake -C Documentation \
+			  DESTDIR="${D}" \
+			  PREFIX=/usr \
+			  mandir=/usr/share/man \
+			  htmldir="/usr/share/doc/${PF}/html" \
+			  install install-html
+}


^ permalink raw reply related	[flat|nested] only message in thread

only message in thread, other threads:[~2018-10-20 12:17 UTC | newest]

Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2018-10-20 12:17 [gentoo-commits] repo/gentoo:master commit in: dev-vcs/guilt/, dev-vcs/guilt/files/ Pacho Ramos

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox